---------------------
PatchSet 10517 
Date: 2008/04/27 09:13:04
Author: serassio
Branch: nt
Tag: (none) 
Log:
Experimental - allow build of squid_radius_auth on Windows - still NOT TESTED

Members: 
	helpers/basic_auth/squid_radius_auth/squid_rad_auth.c:1.1.2.7->1.1.2.8 
	helpers/basic_auth/squid_radius_auth/util.h:1.1.2.3->1.1.2.4 
	port/win32/Makefile.am:1.1.14.12->1.1.14.13 
	port/win32/squid.dsw:1.1.38.12->1.1.38.13 
	port/win32/squid_radius_auth/.cvsignore:1.1->1.1.2.1 
	port/win32/squid_radius_auth/squid_radius_auth.dsp:1.1->1.1.2.1 

Index: squid/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c,v
retrieving revision 1.1.2.7
retrieving revision 1.1.2.8
diff -u -r1.1.2.7 -r1.1.2.8
--- squid/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c	8 Mar 2008 22:41:56 -0000	1.1.2.7
+++ squid/helpers/basic_auth/squid_radius_auth/squid_rad_auth.c	27 Apr 2008 09:16:27 -0000	1.1.2.8
@@ -65,6 +65,9 @@
 #if HAVE_FCNTL_H
 #include	<fcntl.h>
 #endif
+#ifdef _SQUID_WIN32_
+#include <io.h>
+#endif
 
 #if HAVE_CTYPE_H
 #include	<ctype.h>
@@ -90,6 +93,12 @@
 #if HAVE_STRING_H
 #include	<string.h>
 #endif
+#if HAVE_GETOPT_H
+#include <getopt.h>
+#endif
+#if HAVE_ERRNO_H
+#include <errno.h>
+#endif
 
 #include	"squid_md5.h"
 #include	"radius.h"
@@ -492,6 +501,12 @@
 	exit(1);
     }
 
+#ifdef _SQUID_MSWIN_
+    {
+	WSADATA wsaData;
+	WSAStartup(2, &wsaData);
+    }
+#endif
     /*
      *    Open a connection to the server.
      */
Index: squid/helpers/basic_auth/squid_radius_auth/util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/helpers/basic_auth/squid_radius_auth/util.h,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid/helpers/basic_auth/squid_radius_auth/util.h	25 Nov 2007 08:40:19 -0000	1.1.2.3
+++ squid/helpers/basic_auth/squid_radius_auth/util.h	27 Apr 2008 09:16:27 -0000	1.1.2.4
@@ -1,2 +1,4 @@
+#include "../../../include/util.h"
+
 /* util.c */
 u_int32_t		get_ipaddr (char *);
Index: squid/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/Makefile.am,v
retrieving revision 1.1.14.12
retrieving revision 1.1.14.13
diff -u -r1.1.14.12 -r1.1.14.13
--- squid/port/win32/Makefile.am	24 Apr 2008 19:09:19 -0000	1.1.14.12
+++ squid/port/win32/Makefile.am	27 Apr 2008 09:13:04 -0000	1.1.14.13
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1.14.12 2008/04/24 19:09:19 serassio Exp $
+# $Id: Makefile.am,v 1.1.14.13 2008/04/27 09:13:04 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -65,6 +65,7 @@
 	squid/squid.rc \
 	squid/squid.rc2 \
 	pinger/pinger.dsp \
+	squid_radius_auth/squid_radius_auth.dsp \
 	squidclient/squidclient.dsp \
 	src/encrypt.c \
 	unlinkd/unlinkd.dsp \
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.38.12
retrieving revision 1.1.38.13
diff -u -r1.1.38.12 -r1.1.38.13
--- squid/port/win32/squid.dsw	21 Sep 2007 18:54:57 -0000	1.1.38.12
+++ squid/port/win32/squid.dsw	27 Apr 2008 09:13:04 -0000	1.1.38.13
@@ -71,6 +71,9 @@
     Begin Project Dependency
     Project_Dep_Name logfiled
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name squid_radius_auth
+    End Project Dependency
 }}}
 
 ###############################################################################
@@ -711,6 +714,21 @@
 
 ###############################################################################
 
+Project: "squid_radius_auth"=".\squid_radius_auth\squid_radius_auth.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "squidclient"=".\squidclient\squidclient.dsp" - Package Owner=<4>
 
 Package=<5>
--- /dev/null	2008-04-28 00:25:26.000000000 +0000
+++ squid/port/win32/squid_radius_auth/.cvsignore	2008-04-28 00:25:26.580559513 +0000
@@ -0,0 +1,2 @@
+Debug
+Release
--- /dev/null	2008-04-28 00:25:26.000000000 +0000
+++ squid/port/win32/squid_radius_auth/squid_radius_auth.dsp	2008-04-28 00:25:26.585471238 +0000
@@ -0,0 +1,114 @@
+# Microsoft Developer Studio Project File - Name="squid_radius_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=squid_radius_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "squid_radius_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "squid_radius_auth.mak" CFG="squid_radius_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "squid_radius_auth - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "squid_radius_auth - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "squid_radius_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 ws2_32.lib psapi.lib /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "squid_radius_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 ws2_32.lib psapi.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "squid_radius_auth - Win32 Release"
+# Name "squid_radius_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\basic_auth\squid_radius_auth\squid_rad_auth.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\helpers\basic_auth\squid_radius_auth\util.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\basic_auth\squid_radius_auth\radius.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\helpers\basic_auth\squid_radius_auth\util.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
